Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Jan Djärv <[email-masked]>
Date: Thu, 25 Apr 2013 11:55:11 +0200

Hello. 

25 apr 2013 kl. 09:29 skrev martin rudalics <[email-masked]>:

> >> A function that would tell me in a platform independent way the pixel
> >> offset of the frame's root window from the top edge of the frame's
> >> "client rectangle" (sorry for the Windows parlance).
> >
> > Using MS Windows narrows your world view.  If you used Emacs for Gtk+
> > you would know that the toolbar can be on any edge (top, bottom, left
> > or right).  So getting just top edge offset is not enough.  You need
> > all four offsets.
> 
> If you had a broader world view, you would have noticed that the Gtk+
> toolbar is not part of the client rectangle (the rectangle passed to
> change_frame_size), so your point is moot in this context.  

It is the terminology that is unclear. I took "frame's root window" to mean the X window, not the Emacs window. 

     Jan D.